#ifndef VERSION_MAJOR
// for usage in version.rc AND ANYWHERE ELSE (resource.h, common.h, guic.c, stunnel.c)!

// START CUSTOMIZE 
#define VERSION_MAJOR 4
#define VERSION_MINOR 34
// END CUSTOMIZE

// pdelaage: all the following macros are ABSOLUTELY NECESSARY to have proper string construction
// with VARIOUS C preprocessors (MS evc, MS VC, Borland Bcc, GNU-GCC)

#define STRINGIZE0(x) #x
#define STRINGIZE(x) STRINGIZE0(x)

#define STRZCONCAT30(a,b,c) a##b##c
#define STRZCONCAT3(a,b,c) STRZCONCAT30(a,b,c)
 
#define STUNNEL_VERSION_FIELDS VERSION_MAJOR,VERSION_MINOR,0,0 // for version.rc

#define VERSION0 STRZCONCAT3(VERSION_MAJOR, . , VERSION_MINOR)

#define VERSION STRINGIZE(VERSION0) // used in resource.rc, stunnel.c, gui.c

#define STUNNEL_VERSION_STR VERSION "\0" // for version.rc

#define STUNNEL_PRODUCTNAME_STR "Stunnel " VERSION " for " HOST " \0" // for version.rc

/* some useful tricks for preprocessing debugging
#pragma message ( "VERSION.H: STUNNEL_VERSION_STR is " STUNNEL_VERSION_STR )
#pragma message ( "VERSION.H: HOST is " HOST )
#pragma message ( "VERSION.H: STUNNEL_PRODUCTNAME_STR is " STUNNEL_PRODUCTNAME_STR )
*/

#endif
